using System;
using System.Linq;
class Program
{
    static void Main(string[] args)
    {
        var linija = Console.ReadLine().Split();
        int n = int.Parse(linija[0]);
        int m = int.Parse(linija[1]);
        int[] takmicari = new int[n + 1];
        int[] x = new int[m + 1];
        int[] y = new int[m + 1];
        int[] poznanici = new int[n + 1];
        int[] sreca = new int[n + 1];
        int srecamax;
        for (int i = 1; i <= n; i++)
            takmicari[i] = int.Parse(Console.ReadLine());
        for(int i = 1; i<= m;i++)
        {
            string[] linija1 = Console.ReadLine().Split();
            x[i] = int.Parse(linija1[0]);
            y[i] = int.Parse(linija1[1]);
        }
        int br = 0;
        for(int i = 1; i <= n; i++)
        {
            if (takmicari[i] < 0)
                br++;
        }
        int br1;
        for (int i = 1; i <= n; i++)
        {
            br1 = 0;
            for (int j = 1; j <= m; j++)
            {
                if (i == x[j])
                    br1++;
                if (i == y[j])
                    br1++;
            }
            poznanici[i] = br1;
        }
        if (br==0)
        {
            for (int i = 1; i <= n; i++)
            {
                sreca[i] = takmicari[i] * poznanici[i];
            }
            srecamax = sreca.Sum(); 
        }
        else
        {
            for (int i = 1; i <= n; i++)
            {
                sreca[i] = takmicari[i] * (0-poznanici[i]);
            }
            srecamax = sreca.Sum();
        }
        Console.WriteLine(srecamax);
        
    }
}